org.gradle.api.artifacts.result

## Interface UnresolvedArtifactResult

- All Superinterfaces:
    ArtifactResult

      @Incubating
      public interface UnresolvedArtifactResult
      extends ArtifactResult

  An artifact that could not be resolved.
  Since:
    2.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Throwable` | `getFailure()` The failure that occurred when the artifact was resolved.

    - ### Methods inherited from interface org.gradle.api.artifacts.result.ArtifactResult

      `getId, getType`

- - ### Method Detail

    - #### getFailure

          Throwable getFailure()

      The failure that occurred when the artifact was resolved.